use strict;
use warnings;
my $info = {};

# t@C
my $file = shift;

# t@C̃I[v
open my $fh, '<', $file
    or die qq{Can't open file "$file": $!};

# s̓ǂݍ
while (my $line = <$fh>) {

    # wb_΂
    next if $. == 1;
    
    # s̍폜
    chomp $line;
    
    # e̎擾
    my ($time, $url, $response_time, $size) = split /\s+/, $line;

    # 
    $info->{$time}{count}++;

    # ωԂ̍v
    $info->{$time}{response_time_total}  += $response_time;

    # TCY̍v
    $info->{$time}{size_total} += $size;
}

# t@C̃N[Y
close $fh;

# wb_̏o
my @headers = qw/time count response_time_average size_total/;

print join(',', @headers) . "\n";

# ŏo
foreach my $time (sort keys %$info) {
    # e
    my $count = $info->{$time}{count};
    my $response_time_total = $info->{$time}{response_time_total};
    my $size_total = $info->{$time}{size_total};

    # ωԂ߂
    my $response_time_average = $response_time_total / $count;
    $response_time_average = sprintf("%.1f", $response_time_average);

    # o̓R[h
    my @rec = ($time, $count, $response_time_average, $size_total);

    # o
    print join(',', @rec) . "\n";
}