use strict;
use warnings;

use Mojolicious::Lite;

# @gbvy[W
get '/' => 'index';

# AuHello World!vƂf[^擾邽߂URL
get '/api/hello' => sub {
    my $self = shift;
    
    # A-1 JSONƂăf[^`
    $self->render_json({message => 'Hello World'});
} => 'apihello';

# BAvP[V̊Jn
app->start;

__DATA__

# Cgbvy[WHTML
@@ index.html.ep
<html>
  <head>
    <title>ajax application</title>
    
    <!-- C-1 jQuery̓ǂݍ -->
    <script type="text/javascript" 
            src="http://code.jquery.com/jquery-1.4.4.min.js">
    </script>
  </head>
  <body>

    <script type="text/javascript">
      // C-2 y[Wǂݍ񂾂ƂɎs֐̓o^
      $(document).ready(function () {
      
        // C-3 {^NbNƂɎs֐̓o^
        $('input[name="get"]').click(function () {
          
          // C-4 WebT[oɃNGXg𑗐M
          $.ajax({
            type : "get",
            url : "<%= url_for 'apihello' %>",
            success : function (result) {
            
              // C-5 AjaxʐMꍇɉʂɃf[^`
              $("#display").text(result.message);
            },
            dataType : "json"
          });
        });
      });
    </script>
    
    <style type="text/css">
      #display {
        font-size: 200%
      }
    </style>
    
    <h1>Ajax application</h1>
    
    <!-- C-6 {^ -->
    <input type="button" name="get" value="Get Data">
    
    <!-- C-7 `悳ꏊ-->
    <div id="display"><div>
  </body>
</html>