use strict;
use warnings;

# @t@C
my $file = shift;

# Agp@
die "Usage: $0 FILE"  unless defined $file;

# Bt@C̃I[v
open my $fh, '<', $file
  or die qq{Can't open file: "$file": $!};

# C̃pPbgi[邽߂̔z̃t@X
my $packet_infos = [];

# DpPbgi[邽߂̃nbṼt@X
my $packet_info;

# Ees̏
while (my $line = <$fh>) {
    
    # E-1 s̍폜
    chomp $line;
    
    # E-2 sƂɏꍇ
    if ($line =~ /^(\d{2}:\d{2}:\d{2})/) {
        
        # E-3 pPbg̏
        $packet_info = {};
        
        # E-4 
        $packet_info->{time} = $1;
    }
    elsif ($line =~ /^packet: (\d+)/) {
        
        # E-5 pPbg
        $packet_info->{packet} = $1;
    }
    elsif ($line =~ /^loss: (\d+)/) {
        
        # E-6 X
        $packet_info->{loss} = $1;
        
        # E-7 pPbgǉ
        push @$packet_infos, $packet_info;
    }
}

# Ft@C̃N[Y
close $fh;

# Gwb_̏o
my @headers = qw/time packet loss/;
print join("\t", @headers) . "\n";

# Ho͏
foreach my $packet_info (@$packet_infos) {
    
    # H-1 R[h̍쐬
    my @rec = (
        $packet_info->{time},
        $packet_info->{packet},
        $packet_info->{loss}
    );
    
    # H-2 ^u؂ŏo
    print join("\t", @rec) . "\n";
}